#!/bin/sh

gawk -F, '
BEGIN {
  printf("surgery age rectal_temp pulse resp_rate temp_extr ");
  printf("periph_pulse mucous_membr cap_refill_t pain peristalsis ");
  printf("abdominal_di ng_tube ng_reflux ng_reflux_PH rectal_exam ");
  printf("abdomen pckd_cell_vol total_protein abdom_appear outcome\n");
}
{
  printf("%s ", $1);                     # surgery
  printf("%s ", $2);                     # age
  if      ($4 < 37.4) printf("low ");    # rectal_temp
  else if ($4 > 38.2) printf("high ");
  else                printf("normal ");
  if      ($5 < 30)   printf("low ");    # pulse
  else if ($5 > 40)   printf("high ");
  else                printf("normal ");
  if      ($6 <  8)   printf("low ");    # resp_rate
  else if ($6 > 10)   printf("high ");
  else                printf("normal ");
  printf("%s ", $7);                     # temp_extr
  printf("%s ", $8);                     # periph_pulse
  printf("%s ", $9);                     # mucous_membr
  printf("%s ", $10);                    # cap_refill_t
  printf("%s ", $11);                    # pain
  printf("%s ", $12);                    # peristalsis
  printf("%s ", $13);                    # abdominal_di
  printf("%s ", $14);                    # ng_tube
  printf("%s ", $15);                    # ng_reflux
  if      ($16 < 3)   printf("low ");    # ng_reflux_PH
  else if ($16 > 4)   printf("high ");
  else                printf("normal ");
  printf("%s ", $17);                    # rectal_exam
  printf("%s ", $18);                    # abdomen
  if      ($19 < 30)  printf("low ");    # pckd_cell_vol
  else if ($19 > 50)  printf("high ");
  else                printf("normal ");
  if      ($20 < 6.0) printf("low ");    # total_protein
  else if ($20 > 7.5) printf("high ");
  else                printf("normal ");
  printf("%s ", $21);                    # abdom_appear
  printf("%s\n", $23);                   # outcome
}
' horse.data > horse.tab
